org.apache.hc.core5.http

## Interface EntityDetails

- All Known Subinterfaces:
    AsyncEntityProducer, HttpEntity
  All Known Implementing Classes:
    AbstractBinAsyncEntityProducer, AbstractCharAsyncEntityProducer, AbstractClassicEntityProducer, AbstractHttpEntity, AsyncEntityProducerWrapper, BasicAsyncEntityProducer, BasicEntityDetails, BasicHttpEntity, BufferedHttpEntity, ByteArrayEntity, ByteBufferEntity, DigestingEntityProducer, EntityTemplate, FileEntity, FileEntityProducer, HttpEntityWrapper, IncomingEntityDetails, InputStreamEntity, NullEntity, PathEntity, PathEntityProducer, ReactiveEntityProducer, SerializableEntity, StringAsyncEntityProducer, StringEntity

      public interface EntityDetails

  Details of an entity transmitted by a message.
  Since:
    5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentEncoding()` Gets content encoding of this entity, if known.
    `long` | `getContentLength()` Gets length of this entity, if known.
    `String` | `getContentType()` Gets content type of this entity, if known.
    `Set<String>` | `getTrailerNames()` Gets the preliminary declaration of trailing headers.
    `boolean` | `isChunked()` Tests the chunked transfer hint for this entity.

- - ### Method Detail

    - #### getContentLength

          long getContentLength()

      Gets length of this entity, if known.
      Returns:
        the length of this entity, may be `0`.

    - #### getContentType

          String getContentType()

      Gets content type of this entity, if known.
      Returns:
        the content type of this entity, may be `null`.

    - #### getContentEncoding

          String getContentEncoding()

      Gets content encoding of this entity, if known.
      Returns:
        the content encoding of this entity, may be `null`.

    - #### isChunked

          boolean isChunked()

      Tests the chunked transfer hint for this entity.

      The behavior of wrapping entities is implementation dependent, but should respect the primary purpose.

      Returns:
        the chunked transfer hint for this entity.

    - #### getTrailerNames

          Set<String> getTrailerNames()

      Gets the preliminary declaration of trailing headers.
      Returns:
        the preliminary declaration of trailing headers.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.